## scummvm 2.2.0+dfsg1

=== backends/platform/dc/Makefile ===

ronindir = /usr/local/ronin

DYNAMIC_MODULES = 1

srcdir = ../../..
VPATH = $(srcdir)

CC      = sh-elf-gcc -ml -m4-single-only
CXX     = sh-elf-g++ -ml -m4-single-only
LD      = $(CXX)
CXXFLAGS= -O3 -Wno-multichar -funroll-loops -fschedule-insns2 -fomit-frame-pointer -fdelete-null-pointer-checks -fno-exceptions
DEFINES = -D__DC__ -DNONSTANDARD_PORT -DUSE_MAD -DUSE_ZLIB -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_RGB_COLOR
# For release builds:
#DEFINES += -DNOSERIAL
LDFLAGS = -Wl,-Ttext,0x8c010000 -nostartfiles $(ronindir)/lib/crt0.o
INCLUDES= -I./ -I$(srcdir) -I$(ronindir)/include/ -I$(srcdir)/engines
LIBS	= -L$(ronindir)/lib -lmad -lronin -lz -lm
# For release builds:
#LIBS	= -L$(ronindir)/lib -lmad -lronin-noserial -lz -lm
EXECUTABLE = scummvm.elf
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf plugin_head.o
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib plugin_head.o
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf
AR = sh-elf-ar cru
RANLIB = sh-elf-ranlib
HAVE_GCC3 = true
USE_RGB_COLOR = true

ifdef DYNAMIC_MODULES
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
ENABLED=DYNAMIC_PLUGIN
else
ENABLED=STATIC_PLUGIN
endif

ENABLE_SCUMM = $(ENABLED)
ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o

MODULE_DIRS += ./

BACKEND := dc

include $(srcdir)/Makefile.common

scummvm.bin : scummvm.elf
	sh-elf-objcopy -S -R .stack -O binary $< $@

SCUMMVM.BIN : scummvm.bin
	scramble $< $@

plugin_dist : plugins
	for p in $(PLUGINS); do \
	  t="`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`"; \
	  sh-elf-strip -g -o "$$t" "$$p"; \
	  ./check_plugin_symbols "$$t"; \
	done

dist : SCUMMVM.BIN plugin_dist

spotless : distclean
	$(RM) SCUMMVM.BIN scummvm.bin *.PLG

=== dists/gph/gp2x/mmuhack/Makefile ===
TARGET  = mmuhack
INCLUDE = -I/opt/gcc-3.4.4-glibc-2.3.6/arm-open2x-linux/sys-include
CFLAGS  = -O2 -DMODULE -D__KERNEL__ ${INCLUDE}
CC	= arm-open2x-linux-gcc

all: ${TARGET}.o

${TARGET}.o: ${TARGET}.c

clean:
	rm -rf ${TARGET}.o

=== debian/changelog ===
scummvm (2.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Oct 2020 14:22:32 +1000

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 12)
              ,fonts-freefont-ttf
              ,fonts-mplus
              ,liba52-dev
              ,libasound2-dev [linux-any]
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libfreetype6-dev
              ,libjpeg-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libpng-dev
              ,libsdl2-dev | libsdl1.2-dev
              ,libspeechd-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [i386]
              ,pkg-config
              ,python3
              ,zip
# Cloud integration:
#    ,libsdl2-net-dev
#    ,libcurl4-gnutls-dev
Standards-Version: 4.5.0
Homepage: http://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
Vcs-Browser: https://salsa.debian.org/games-team/scummvm
Rules-Requires-Root: no

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Replaces: scummvm-data (<< 1.5.0-1)
Breaks: scummvm-data (<< 1.5.0-1)
       ,drascula (<< 1.0+ds4)
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# #827145:
# When building for i386 on an amd64 system/kernel, the host
# architecture is misdetected as x86_64, which causes USE_NASM to be
# unset and prevents the object files hq2x_i386.o and hq3x_i386.o from
# being built.
# This is fixed by passing the host architecture explicitely to
# configure.
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --max-parallel=4

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
OPTARGS:= --disable-alsa
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
OPTARGS:= --disable-alsa
endif

override_dh_auto_clean:
	##718164 "FTBFS: Makefile:87: *** You need to run ./configure before you can run make".
	[ -f config.mk ] || touch config.mk
	dh_auto_clean

override_dh_auto_configure:
	./configure \
            --host=$(DEB_HOST_GNU_TYPE) \
            --datadir=/usr/share/scummvm \
            --disable-eventrecorder \
            --enable-release \
            --enable-verbose-build \
            --prefix=/usr $(OPTARGS) \
	    --disable-engine=wintermute

override_dh_auto_build:
## replacing bundled fonts...
	for F in gui/themes/*/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$${F##*/} $${F%/*}; done
	for F in gui/themes/*/mplus*.ttf; do cp -v /usr/share/fonts/truetype/mplus/$${F##*/} $${F%/*}; done
## re-build themes
	cd gui/themes && python3 ./scummtheme.py makeall
## build executable(s)...
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' fonts-freefont-ttf fonts-mplus)"

override_dh_dwz:
	-dh_dwz -v

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
" https://github.com/scummvm/scummvm/releases \
 .*/archive/v?\.?(\d[\d\.]+)\.tar\.gz

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
"  https://scummvm.org/downloads/ .*/scummvm-([0-9.]+)\.tar\.(?:xz|bz2|gz)

## scummvm 2.5.0+dfsg1

=== debian/changelog ===
scummvm (2.5.0+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:18:50 +0000

scummvm (2.5.0+dfsg1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Allow source changes also for the theme files, in addition to the fonts.
  * Switch to the standard Debian Salsa CI pipeline, rather than a private
    person's pipeline and runners.
  * Remove the maximum limit of 4 parallel build jobs, added 9 years ago
    without any explanation.
  * Simplify passing of arguments to non-Linux architectures.
  * Install the documentation files for scummvm directly from debian/tmp if
    possible, rather than using dh_installdocs.
  * Drop the very old and broken debian/prepare script.
  * Use nasm on any i386 architecture, not only on Linux.
  * Switch the python3 build dependency to python3:any, as Python 3 is only
    used as build tool.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_before_dh_auto_build to avoid invoking dh_auto_build manually.
  * Update lintian overrides.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Disable the libieee1284-3-dev build dependency on Hurd, as parallel port
    support is not available there.
  * Update the build dependencies according to the upstream build system:
    - add libgl-dev, and libglew-dev for 2.5D games
    - add libgif-dev for GIF supports in games
  * Pass the --disable-gold flag to configure to disable the use of gold linker
    - drop patch dont-use-gold.patch, no more needed now
  * Stop disabling the Ultima engine on some architectures, as it seems that
    its tests work fine now.

  [ Stephen Kitt ]
  * Enable Wintermute, the code we had to remove for licensing reasons
    is no longer used upstream.
  * Update debian/copyright, excluding a second gradle-wrapper.jar and
    dropping obsolete entries.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 Nov 2021 15:05:38 +0100

scummvm (2.2.0+dfsg1-4) unstable; urgency=medium

  * Simplify file installation, thanks to Pino Toscano for the patch.
  * Enable a number of missing features:
    - cloud integration;
    - Gtk system dialogs;
    - support for bi-directional text;
    - support for OPL2LPT sound devices.
  * Disable Ultima on all big-endian targets. Closes: #979757.
  * Standards-Version 4.5.1, no change required.
  * Update debian/watch to only check the official upstream download page
    (checking both that and GitHub results in two tarballs which confuses
    uscan).
  * Switch to debhelper compatibility level 13.
  * Drop obsolete source-is-missing Lintian override.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Jan 2021 18:10:38 +0100

scummvm (2.2.0+dfsg1-3) unstable; urgency=medium

  * Disable Ultima on platforms where its tests fail. The next release
    will include a revamped engine which should fix this correctly.
    Closes: #975492.

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Jan 2021 17:33:51 +0100

scummvm (2.2.0+dfsg1-2) unstable; urgency=medium

  * Link with the bfd linker instead of gold, to allow building at least
    on i386.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Nov 2020 18:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,43 @@
 Source: scummvm
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>
           ,Moritz Muehlenhoff <jmm@debian.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
           ,Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
               ,fonts-freefont-ttf
               ,fonts-mplus
               ,liba52-dev
               ,libasound2-dev [linux-any]
+              ,libcurl4-gnutls-dev
               ,libfaad-dev
               ,libflac-dev
               ,libfluidsynth-dev
               ,libfreetype6-dev
+              ,libfribidi-dev
+              ,libgif-dev
+              ,libgl-dev
+              ,libglew-dev
+              ,libgtk-3-dev
+              ,libieee1284-3-dev [!hurd-any]
               ,libjpeg-dev
               ,libmad0-dev
               ,libmpeg2-4-dev
               ,libpng-dev
               ,libsdl2-dev | libsdl1.2-dev
+              ,libsdl2-net-dev | libsdl-net1.2-dev
               ,libspeechd-dev
               ,libtheora-dev
               ,libvorbis-dev
               ,libz-dev
-              ,nasm [i386]
+              ,nasm [any-i386]
               ,pkg-config
-              ,python3
+              ,python3:any
               ,zip
-# Cloud integration:
-#    ,libsdl2-net-dev
-#    ,libcurl4-gnutls-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.scummvm.org
 Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm
@@ -45,9 +51,7 @@
          ,drascula
          ,flight-of-the-amazon-queen
          ,lure-of-the-temptress
-Replaces: scummvm-data (<< 1.5.0-1)
-Breaks: scummvm-data (<< 1.5.0-1)
-       ,drascula (<< 1.0+ds4)
+Breaks: drascula (<< 1.0+ds4)
 Description: engine for several graphical adventure games
  ScummVM is a `virtual machine' for several classic graphical
  point-and-click adventure games.  It is designed to run Adventure Soft's
@@ -75,7 +79,6 @@
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
 Depends: ${misc:Depends}
-Replaces: scummvm (<< 1.0.0-3)
 Description: engine for several graphical adventure games (data files)
  ScummVM is a `virtual machine' for several classic graphical
  point-and-click adventure games.  It is designed to run Adventure Soft's

## scummvm 2.5.1

=== debian/changelog ===
scummvm (2.5.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Matteo Bini <matteobin@protonmail.com>  Sun, 16 Jan 2022 19:50:03 +0100

## scummvm 2.5.1%2Bdfsg

=== debian/changelog ===
scummvm (2.5.1+dfsg-1build2) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Mar 2022 16:38:54 +0100

scummvm (2.5.1+dfsg-1build1) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 11:43:22 +0100

scummvm (2.5.1+dfsg-1) unstable; urgency=medium

  * Repack the latest upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Jan 2022 14:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scummvm
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>
           ,Moritz Muehlenhoff <jmm@debian.org>
           ,Dmitry Smirnov <onlyjob@debian.org>

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
"  https://scummvm.org/downloads/ .*/scummvm-([0-9.]+)\.tar\.(?:xz|bz2|gz)

## scummvm 2.5.1+dfsg

=== Makefile ===

#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir) -I$(srcdir)/engines
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

# All game detection-related object files for engines
DETECT_OBJS :=
LOAD_RULES_MK   := 1

# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

	# Disable exceptions.
	CXXFLAGS+= -fno-exceptions

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
	# We use a anonymous nested type declaration in an anonymous union in
	# common/str.h. This is no standard construct and clang warns about it.
	# It works for all our target systems though, thus we simply disable that
	# warning.
	CXXFLAGS+= -Wno-nested-anon-types
endif

ifeq "$(HAVE_ICC)" "1"
	# Disable some warnings:
	#  161: unrecognized #pragma
	# 1899: multicharacter character literal (potential portability problem)
	CXXFLAGS+= -diag-disable 161,1899
endif

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################
# Misc stuff - you should never have to edit this                     #
#######################################################################

EXECUTABLE  := $(EXEPRE)scummvm$(EXEEXT)

include $(srcdir)/Makefile.common

ENGINE_SUBDIRS_CONFIGURE := $(wildcard $(srcdir)/engines/*/configure.engine)

config.h:
SAVED_ENV_VARS = AR AS ASFLAGS CPPFLAGS CXX CXXFLAGS LD LDFLAGS RANLIB SDL_CONFIG STRIP WINDRES WINDRESFLAGS

# The environment variable PKG_CONFIG_LIBDIR has a different meaning
# for pkg-config when it is empty and when it is not defined.
# When PKG_CONFIG_LIBDIR is defined but empty, the .pc files cannot
# be found because the search path is empty.
# Here we make sure not to define PKG_CONFIG_LIBDIR when automatically
# running configure and it was not set for the previous run
# so pkg-config uses the system default search path for the .pc files.
ifneq ($(SAVED_PKG_CONFIG_LIBDIR),unset)
	SAVED_ENV_VARS += PKG_CONFIG_LIBDIR
endif

# check if configure has been run or has been changed since last run
configure.stamp: $(srcdir)/configure $(srcdir)/engines.awk $(ENGINE_SUBDIRS_CONFIGURE)
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2

	$(foreach VAR,$(SAVED_ENV_VARS),$(VAR)="$(SAVED_$(VAR))") \
		$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif

config.h config.mk engines/plugins_table.h engines/detection_table.h engines/engines.mk: configure.stamp
	@if ! test -f $@; then \
		rm -f configure.stamp; \
		$(MAKE) configure.stamp; \
	fi

ifneq ($(origin port_mk), undefined)
include $(srcdir)/$(port_mk)
endif

.PHONY: print-dists print-executables print-version print-distversion
print-dists:
	@echo $(DIST_FILES_DOCS) $(DIST_FILES_THEMES) $(DIST_FILES_NETWORKING) $(DIST_FILES_VKEYBD) $(DIST_FILES_ENGINEDATA) $(DIST_FILES_PLATFORM) $(srcdir)/doc

print-executables:
	@echo $(if $(DIST_EXECUTABLES),$(DIST_EXECUTABLES),$(EXECUTABLE) $(PLUGINS))

print-version:
	@echo $(VERSION)

print-distversion:
	@echo $(DISTVERSION)

devtools/create_project/cmake/build/create_project:
	cmake -Hdevtools/create_project/cmake -Bdevtools/create_project/cmake/build/
	cmake --build devtools/create_project/cmake/build/

CMakeLists.txt: devtools/create_project/cmake/build/create_project config.mk
	./devtools/create_project/cmake/build/create_project . --cmake $(SAVED_CONFIGFLAGS)

cmake: CMakeLists.txt
	cmake -H. -Bbuild
	cmake --build build

=== doc/docportal/requirements.txt ===
sphinx-tabs
sphinx-panels
m2r2

=== backends/platform/n64/Makefile ===

TOOLPATH = /opt/mips64-toolchain
LIBN64PATH = $(TOOLPATH)/hkz-libn64/
GCCN64PREFIX = $(TOOLPATH)/bin/mips64-

srcdir = ../../..
VPATH = $(srcdir)

CC = $(GCCN64PREFIX)gcc
CXX = $(GCCN64PREFIX)g++
AS = $(GCCN64PREFIX)as
LD = $(GCCN64PREFIX)g++
OBJCOPY = $(GCCN64PREFIX)objcopy
AR = $(GCCN64PREFIX)ar cru
RANLIB = $(GCCN64PREFIX)ranlib

DEFINES += -D__N64__ -DLIMIT_FPS -DNONSTANDARD_PORT -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DDISABLE_FANCY_THEMES -DDISABLE_DOSBOX_OPL -DENABLE_VKEYBD -DUSE_ZLIB
LIBS += -lpakfs -lframfs -ln64 -ln64utils -lromfs

#DEFINES += -D_ENABLE_DEBUG_

USE_LIBMAD=0
USE_LIBOGG=1

ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

LIBS += -lm -lstdc++ -lc -lgcc -lz -lnosys

CXXFLAGS = -g -mno-extern-sdata -O2 --param max-inline-insns-auto=20 -fomit-frame-pointer -march=vr4300 -mtune=vr4300 -mhard-float -fno-rtti -fno-exceptions -Wno-multichar -Wshadow -I$(LIBN64PATH) -I$(TOOLPATH)/include -I./ -I$(srcdir) -I$(srcdir)/engines
LDFLAGS = -g -march=vr4300 -mtune=vr4300 -nodefaultlibs -nostartfiles -mno-crt0 -L$(LIBN64PATH) -L$(TOOLPATH)/lib $(LIBS) -T n64ld_cpp.x -Xlinker -Map -Xlinker scummvm.map

TARGET = scummvm
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf

VERBOSE_BUILD=1
HAVE_GCC3=1
USE_RGB_COLOR=0

ENABLED=STATIC_PLUGIN

#ENABLE_SCUMM = $(ENABLED)
#ENABLE_SCI = $(ENABLED)
#ENABLE_GOB = $(ENABLED)
#ENABLE_PARALLACTION = $(ENABLED)
#ENABLE_KYRA = $(ENABLED)
#ENABLE_AGOS = $(ENABLED)
#ENABLE_AGI = $(ENABLED)
#ENABLE_QUEEN = $(ENABLED)
#ENABLE_MADE = $(ENABLED)
#ENABLE_SAGA = $(ENABLED)
#ENABLE_TEENAGENT = $(ENABLED)
#ENABLE_DRACI = $(ENABLED)

OBJS :=	nintendo64.o osys_n64_base.o osys_n64_events.o osys_n64_utilities.o pakfs_save_manager.o framfs_save_manager.o

BACKEND := n64

include $(srcdir)/Makefile.common

MODULE_DIRS += ./

all: $(TARGET).v64

$(TARGET).v64: $(TARGET).bin ROMFS.img bootcode
	cat bootcode $(TARGET).bin ROMFS.img > $(TARGET).v64
	./pad_rom.sh $(TARGET).v64

ROMFS.img:
	genromfs -f ./ROMFS.img -d ./ROMFS -V romtest

$(TARGET).elf: $(OBJS)
	+$(LD) -o $(TARGET).elf $(OBJS) $(LDFLAGS)

$(TARGET).bin : $(TARGET).elf
	$(OBJCOPY) $(TARGET).elf $(TARGET).bin -O binary

spotless : distclean
	$(RM) *.bin *.elf *.v64 *.img *.bak *.tmp *.map

send: $(TARGET).v64
	sudo ucon64 --xv64  $(TARGET).v64

=== backends/platform/psp/Makefile ===
# SCUMMVM-PSP MakeFile


#Use only this section to modify how the makefile behaves ------------

# Scummvm engine config: choose which engines are enabled
ENABLE_SCUMM = $(ENABLED)
ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_AGOS2 = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRACI = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_GROOVIE2 = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LOL = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SAGA2 = $(ENABLED)
ENABLE_SCI = $(ENABLED)
ENABLE_SCI32 = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TEENAGENT = $(ENABLED)
ENABLE_TINSEL = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

# Set to 1 to enable seeing the commands to gcc
VERBOSE_BUILD=1
# Set to 1 to enable, 0 to disable dynamic modules
DYNAMIC_MODULES = 1
# Set to 1 to enable profiling
ENABLE_PROFILING = 0
# Set to 1 to enable, 0 to disable libmad and libogg
USE_LIBMAD = 1
USE_LIBOGG = 1
# --------------------------------------------------------------------


# General variables
srcdir = ../../..
VPATH = $(srcdir)
TARGET = scummvm-psp
# PSP SDK location variables
PSPSDK := $(shell psp-config --pspsdk-path)
PSPBIN = $(PSPSDK)/../bin

#check PSPSDK presence
ifeq ($(PSPSDK),)
$(error $$(PSPSDK) cannot be obtained.)
endif

# Variables for common Scummvm makefile
CXX      = psp-g++
CXXFLAGS = -O3 -Wall -Wno-multichar -fno-exceptions -fno-rtti
DEFINES  = -D__PSP__ -DNONSTANDARD_PORT -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_ZLIB  -DDISABLE_DOSBOX_OPL -DUSE_RGB_COLOR -DUSE_ELF_LOADER -DMIPS_TARGET

LDFLAGS  :=
INCDIR   := $(srcdir) . $(srcdir)/engines/ $(PSPSDK)/include
INCLUDES := $(addprefix -I, $(INCDIR))
DEPDIR = .deps
MODULE_DIRS += ./
MKDIR	= mkdir -p
RM	= rm -f
RM_REC	= rm -rf
AR      = psp-ar cru
RANLIB  = psp-ranlib
AS      = psp-gcc
LD      = psp-gcc
HAVE_GCC3 = true
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP

# Variables for dynamic plugin building
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = $(srcdir)/backends/plugins/elf/plugin.syms scummvm-psp.elf
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,--just-symbols=scummvm-psp.org.elf,-T$(srcdir)/backends/plugins/psp/plugin.ld,--retain-symbols-file,$(srcdir)/backends/plugins/elf/plugin.syms -lstdc++ -lc

# PSP-specific variables
STRIP   = psp-strip
MKSFO	= mksfoex -d MEMSIZE=1
PACK_PBP = pack-pbp
FIXUP	= psp-fixup-imports

# Test for adding different libs
ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

# Test for dynamic plugins
ifeq ($(DYNAMIC_MODULES),1)
ENABLED = DYNAMIC_PLUGIN
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
else
ENABLED = STATIC_PLUGIN
endif

# Test for profiling
ifeq ($(ENABLE_PROFILING),1)
DEFINES += -DENABLE_PROFILING
CXXFLAGS += -pg -g
LDFLAGS += -pg
endif

# PSP LIBS
PSPLIBS =  -lpspprof -lpspvfpu -lpspdebug -lpspgu -lpspge -lpspdisplay -lpspctrl -lpspsdk \
	-lpsputility -lpspuser -lpsppower -lpsphprm -lpspsdk -lpsprtc -lpspaudio -lpspaudiocodec \
	-lpspkernel -lpspnet_inet


# Add in PSPSDK includes and libraries.
LIBS     += -lpng -lz -lstdc++ -lc -lm $(PSPLIBS)

OBJS := powerman.o \
	psp_main.o \
	osys_psp.o \
	psppixelformat.o \
	memory.o \
	display_manager.o \
	display_client.o \
	default_display_client.o \
	input.o \
	cursor.o \
	trace.o \
	pspkeyboard.o \
	audio.o \
	thread.o \
	rtc.o \
	mp3.o \
	png_loader.o \
	image_viewer.o \
	tests.o \
	dummy.o


BACKEND := psp

# Include common Scummvm makefile
include $(srcdir)/Makefile.common

# Variables for PSP-specific rules
PSP_EBOOT_SFO = param.sfo
PSP_EBOOT_TITLE = ScummVM-PSP
PSP_EBOOT = EBOOT.PBP
PSP_EBOOT_ICON = icon0.png
PSP_EBOOT_ICON1 = NULL
PSP_EBOOT_PIC0 = pic0.png
PSP_EBOOT_PIC1 = pic1.png
PSP_EBOOT_SND0 = NULL
PSP_EBOOT_PSAR = NULL

LDFLAGS += -Wl,-T../../plugins/psp/main_prog.ld

all: $(PSP_EBOOT)

$(TARGET).elf: $(OBJS)
	+$(LD) $(PRE_OBJS_FLAGS) $(OBJS) $(POST_OBJS_FLAGS) $(LDFLAGS) $(LIBS) -o $@
	cp $(TARGET).elf $(TARGET).org.elf
	$(FIXUP) $@

$(PSP_EBOOT_SFO):
	$(MKSFO) '$(PSP_EBOOT_TITLE)' $@

$(PSP_EBOOT): $(TARGET).elf $(PSP_EBOOT_SFO)
	$(STRIP) $(TARGET).elf
	$(PACK_PBP) $@ $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON) $(PSP_EBOOT_ICON1) \
		$(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1) $(PSP_EBOOT_SND0)  \
		$(TARGET).elf $(PSP_EBOOT_PSAR)

kxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "$(TARGET)"
	$(STRIP) $(TARGET).elf -o $(TARGET)/$(PSP_EBOOT)
	mkdir -p "$(TARGET)%"
	$(PACK_PBP) "$(TARGET)%/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

SCEkxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "__SCE__$(TARGET)"
	$(STRIP) $(TARGET).elf -o __SCE__$(TARGET)/$(PSP_EBOOT)
	mkdir -p "%__SCE__$(TARGET)"
	$(PACK_PBP) "%__SCE__$(TARGET)/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

=== devtools/create_project/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(create_project)


set(SOURCE_FILES
	../cmake.cpp
	../cmake.h
	../codeblocks.cpp
	../codeblocks.h
	../create_project.cpp
	../create_project.h
	../msbuild.cpp
	../msbuild.h
	../msvc.cpp
	../msvc.h
	../visualstudio.cpp
	../visualstudio.h
	../xcode.cpp
	../xcode.h
    )

add_executable(create_project ${SOURCE_FILES})
if (WIN32)
    target_link_libraries(create_project rpcrt4 advapi32)
endif ()

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,12 @@
 # being built.
 # This is fixed by passing the host architecture explicitely to
 # configure.
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --max-parallel=4
+	dh $@
 
-ifeq ($(DEB_BUILD_ARCH_OS),hurd)
-OPTARGS:= --disable-alsa
-endif
-ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+ifneq (linux,$(DEB_HOST_ARCH_OS))
 OPTARGS:= --disable-alsa
 endif
 
@@ -33,20 +30,20 @@
 	./configure \
             --host=$(DEB_HOST_GNU_TYPE) \
             --datadir=/usr/share/scummvm \
+            --bindir=/usr/games \
             --disable-eventrecorder \
             --enable-release \
             --enable-verbose-build \
+            --enable-opl2lpt \
             --prefix=/usr $(OPTARGS) \
-	    --disable-engine=wintermute
+            --disable-gold
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 ## replacing bundled fonts...
 	for F in gui/themes/*/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$${F##*/} $${F%/*}; done
 	for F in gui/themes/*/mplus*.ttf; do cp -v /usr/share/fonts/truetype/mplus/$${F##*/} $${F%/*}; done
 ## re-build themes
 	cd gui/themes && python3 ./scummtheme.py makeall
-## build executable(s)...
-	dh_auto_build
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md

## scummvm 2.5.1+dfsg-1build2+11.0trisquel1

=== debian/changelog ===
scummvm (2.5.1+dfsg-1build2+11.0trisquel1) aramo; urgency=medium

  * Removed references to non-free software, fixes 7344

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Jul 2022 15:50:38 +0000

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
              ,fonts-freefont-ttf
              ,fonts-mplus
              ,liba52-dev
              ,libasound2-dev [linux-any]
              ,libcurl4-gnutls-dev
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libfreetype6-dev
              ,libfribidi-dev
              ,libgif-dev
              ,libgl-dev
              ,libglew-dev
              ,libgtk-3-dev
              ,libieee1284-3-dev [!hurd-any]
              ,libjpeg-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libpng-dev
              ,libsdl2-dev | libsdl1.2-dev
              ,libsdl2-net-dev | libsdl-net1.2-dev
              ,libspeechd-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [any-i386]
              ,pkg-config
              ,python3:any
              ,zip
Standards-Version: 4.6.0
Homepage: http://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
Vcs-Browser: https://salsa.debian.org/games-team/scummvm
Rules-Requires-Root: no

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Breaks: drascula (<< 1.0+ds4)
Description: engine for several graphical adventure games
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.

Package: scummvm-data
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Description: engine for several graphical adventure games (data files)
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.
 .
 These packages provides data files needed to run some engines supported by

## scummvm 2.6.0+dfsg

=== debian/changelog ===
scummvm (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.
  * Remove test object files when cleaning

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Aug 2022 09:18:50 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
               ,pkg-config
               ,python3:any
               ,zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://www.scummvm.org
 Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm
@@ -52,9 +52,26 @@
          ,lure-of-the-temptress
 Breaks: drascula (<< 1.0+ds4)
 Description: engine for several graphical adventure games
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
 
 Package: scummvm-data
 Architecture: all
@@ -62,8 +79,26 @@
 Built-Using: ${my:Built-Using}
 Depends: ${misc:Depends}
 Description: engine for several graphical adventure games (data files)
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
  .
  These packages provides data files needed to run some engines supported by
+ ScummVM.

## scummvm 2.6.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# GNU Make 3.80 and older have bugs that cause parsing issues.
+# Make sure we have at least version 3.81.
+ifndef .FEATURES
+$(error GNU Make 3.81 or higher is required)
+endif
 
 #######################################################################
 # Default compilation parameters. Normally don't edit these           #

=== debian/changelog ===
scummvm (2.6.1+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Dec 2022 17:41:00 -0500

scummvm (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Updated/fixed "watch" file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 01 Nov 2022 14:46:16 +1100

scummvm (2.6.0+dfsg-2) unstable; urgency=medium

  * Only set --host when cross-compiling.
  * Fonts are no longer shipped in binary packages, stop post-processing
    them. Closes: #1022247.

 -- Stephen Kitt <skitt@debian.org>  Mon, 31 Oct 2022 07:30:06 +0100

## scummvm 2.7.0%2Bdfsg

=== backends/platform/dc/Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 RM_REC = rm -rf
 AR = sh-elf-ar cru
 RANLIB = sh-elf-ranlib
-HAVE_GCC3 = true
 USE_RGB_COLOR = true
 
 ifdef DYNAMIC_MODULES
@@ -67,7 +66,8 @@
 ENABLE_TUCKER = $(ENABLED)
 
 OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
-	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o
+	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o \
+	dcutils.o
 
 MODULE_DIRS += ./

## scummvm 2.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,12 @@
 RM_REC  ?= $(RM) -r
 ZIP     ?= zip -q
 
+ifeq ($(VERBOSE_BUILD),1)
+	LS := ls -l
+else
+	LS := true
+endif
+
 #######################################################################
 # Misc stuff - you should never have to edit this                     #
 #######################################################################

=== doc/docportal/requirements.txt ===
sphinx-tabs==3.3.1
sphinx-panels==0.6.0
sphinx<5
docutils==0.17
sphinx_rtd_theme==1.0.0
sphinx-mdinclude==0.5.3

=== debian/changelog ===
scummvm (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Feb 2023 15:38:49 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
               ,pkg-config
               ,python3:any
               ,zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.scummvm.org
 Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 # configure.
 include /usr/share/dpkg/architecture.mk
 
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	HOST := --host=$(DEB_HOST_GNU_TYPE)
+else
+	HOST :=
+endif
+
 %:
 	dh $@
 
@@ -28,7 +34,7 @@
 
 override_dh_auto_configure:
 	./configure \
-            --host=$(DEB_HOST_GNU_TYPE) \
+            $(HOST) \
             --datadir=/usr/share/scummvm \
             --bindir=/usr/games \
             --disable-eventrecorder \
@@ -40,8 +46,8 @@
 
 execute_before_dh_auto_build:
 ## replacing bundled fonts...
-	for F in gui/themes/*/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$${F##*/} $${F%/*}; done
-	for F in gui/themes/*/mplus*.ttf; do cp -v /usr/share/fonts/truetype/mplus/$${F##*/} $${F%/*}; done
+#	for F in gui/themes/*/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$${F##*/} $${F%/*}; done
+#	for F in gui/themes/*/mplus*.ttf; do cp -v /usr/share/fonts/truetype/mplus/$${F##*/} $${F%/*}; done
 ## re-build themes
 	cd gui/themes && python3 ./scummtheme.py makeall

## scummvm 2.7.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
 	# Enable even more warnings...
 	CXXFLAGS+= -Wpointer-arith -Wcast-qual
-	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings
+	CXXFLAGS+= -Wnon-virtual-dtor -Wwrite-strings
 
 	# Currently we disable this gcc flag, since it will also warn in cases,
 	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))

=== debian/changelog ===
scummvm (2.7.1+dfsg-2) unstable; urgency=medium

  * Avoid strict comparisons of non-representable floats; these cause
    test failures on i386 and s390x.

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Oct 2023 12:37:12 +0200

scummvm (2.7.1+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Replace transitional build-dependencies with real packages.

  [ Stephen Kitt ]
  * New upstream release.
  * Enable support for grim:monkey4 (Escape from Monkey Island).
    Closes: #1054127.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Oct 2023 22:40:47 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
               ,libfaad-dev
               ,libflac-dev
               ,libfluidsynth-dev
-              ,libfreetype6-dev
+              ,libfreetype-dev
               ,libfribidi-dev
               ,libgif-dev
               ,libgl-dev
@@ -33,7 +33,7 @@
               ,libvorbis-dev
               ,libz-dev
               ,nasm [any-i386]
-              ,pkg-config
+              ,pkgconf
               ,python3:any
               ,zip
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
             --enable-verbose-build \
             --enable-opl2lpt \
             --prefix=/usr $(OPTARGS) \
-            --disable-gold
+            --disable-gold \
+            --enable-engine=monkey4
 
 execute_before_dh_auto_build:
 ## replacing bundled fonts...
